moeoAggregativeComparator(3)

NAME
moeoAggregativeComparator - Functor allowing to compare two solutions according to their fitness and diversity values, each according to its aggregative value.

SYNOPSIS

#include <moeoAggregativeComparator.h>

Inherits moeoComparator< MOEOT >< MOEOT >.

  Public Member Functions
moeoAggregativeComparator (double _weightFitness=1.0, double _weightDiversity=1.0)
Ctor.
const bool operator() (const MOEOT &_moeo1, const MOEOT &_moeo2)
Returns true if _moeo1 < _moeo2 according to the aggregation of their fitness and diversity values.

  Private Attributes
double weightFitness
the weight for fitness
double weightDiversity
the weight for diversity

Detailed Description

  template<class MOEOT> class moeoAggregativeComparator< MOEOT >
Functor allowing to compare two solutions according to their fitness and diversity values, each according to its aggregative value.

Definition at line 22 of file moeoAggregativeComparator.h.

Constructor & Destructor Documentation

  template<class MOEOT> moeoAggregativeComparator< MOEOT >::moeoAggregativeComparator (double _weightFitness = 1.0, double _weightDiversity = 1.0) [inline]

Ctor.

Parameters:
    _weightFitness the weight for fitness
    _weightDiversity the weight for diversity

Definition at line 31 of file moeoAggregativeComparator.h.

Member Function Documentation

  template<class MOEOT> const bool moeoAggregativeComparator< MOEOT >::operator() (const MOEOT & _moeo1, const MOEOT & _moeo2) [inline]

Returns true if _moeo1 < _moeo2 according to the aggregation of their fitness and diversity values.

Parameters:
    _moeo1 the first solution
    _moeo2 the second solution

Definition at line 40 of file moeoAggregativeComparator.h.

References moeoAggregativeComparator< MOEOT >::weightDiversity, and moeoAggregativeComparator< MOEOT >::weightFitness.

Author

Generated automatically by Doxygen for ParadisEO-MOEO from the source code.